## photon 0.3.1

=== DESCRIPTION ===
Package: photon
Type: Package
Title: High-Performance Geocoding using 'photon'
Version: 0.3.1
Authors@R: 
    person("Jonas", "Lieth", , "jonas.lieth@gesis.org", role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0002-3451-3176"))
Description: Features unstructured, structured and reverse geocoding using the
    'photon' geocoding API <https://photon.komoot.io/>.
    Facilitates the setup of local 'photon' instances to enable offline
    geocoding.
License: Apache License (>= 2)
URL: https://github.com/jslth/photon/, https://jslth.github.io/photon/
BugReports: https://github.com/jslth/photon/issues
Encoding: UTF-8
RoxygenNote: 7.3.1
Imports: utils, cli, countrycode, httr2, R6, sf, processx
Suggests: testthat (>= 3.0.0), tibble, knitr, rmarkdown, webfakes, ps
Config/testthat/edition: 3
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2024-11-07 21:41:38 UTC; PC
Author: Jonas Lieth [aut, cre, cph] (<https://orcid.org/0000-0002-3451-3176>)
Maintainer: Jonas Lieth <jonas.lieth@gesis.org>
Repository: CRAN
Date/Publication: 2024-11-11 12:20:02 UTC

## photon 0.3.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: photon
 Type: Package
 Title: High-Performance Geocoding using 'photon'
-Version: 0.3.1
+Version: 0.3.5
 Authors@R: 
     person("Jonas", "Lieth", , "jonas.lieth@gesis.org", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0002-3451-3176"))
@@ -13,14 +13,14 @@
 URL: https://github.com/jslth/photon/, https://jslth.github.io/photon/
 BugReports: https://github.com/jslth/photon/issues
 Encoding: UTF-8
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 Imports: utils, cli, countrycode, httr2, R6, sf, processx
 Suggests: testthat (>= 3.0.0), tibble, knitr, rmarkdown, webfakes, ps
 Config/testthat/edition: 3
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2024-11-07 21:41:38 UTC; PC
+Packaged: 2025-02-23 11:57:49 UTC; PC
 Author: Jonas Lieth [aut, cre, cph] (<https://orcid.org/0000-0002-3451-3176>)
 Maintainer: Jonas Lieth <jonas.lieth@gesis.org>
 Repository: CRAN
-Date/Publication: 2024-11-11 12:20:02 UTC
+Date/Publication: 2025-02-24 13:00:02 UTC

## photon 0.4.6

=== Makefile ===
all: setup.py
	python setup.py build

clean: setup.py
	python setup.py clean
	rm -rf build dist
	rm -f Photon/*.pyc
	rm -rf debian/python2.3-photon*
	rm -rf debian/python2.4-photon*
	rm -rf debian/photon debian/files

install: setup.py
	python setup.py install --home=~

dist: setup.py
	python setup.py sdist --formats=gztar,bztar,zip

rpm: setup.py
	python setup.py bdist_rpm

deb: setup.py
	version=`./photon --version | cut -f2 -d " "` ; \
		echo "photon ($$version-1) unstable; urgency=low" > debian/changelog
	echo "" >> debian/changelog
	echo "  * New upstream release" >> debian/changelog
	echo "" >> debian/changelog
	echo " -- Luc Saillard <luc@saillard.org>  `date -R`" >> debian/changelog
	dpkg-buildpackage -rfakeroot


.PHONY: all clean install dist rpm

=== debian/changelog ===
photon (0.4.6-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616936).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 01 Jun 2013 14:34:59 +0200

photon (0.4.6-3) unstable; urgency=low

  *  Patch that enables use of fully capitalized filenames. Thanks to Markku
     Majaniemi. Closes: #604254.
  *  Patch Photon/airspeed.py to remove unneeded python shebang.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 04 Dec 2010 12:56:21 +0000

photon (0.4.6-2) unstable; urgency=low

  * Acknowledge NMU.
  * debian/control:
    - Changed Build-Depends from python-dev to python-all, added quilt.
    - Bumped Standards-Version to 3.9.1. No changes.
    - Bumped debhelper version to 8.
  * debian/rules:
    - Change dh_clean -k to dh_prep.
  * Bumped debian/compat to 8.
  * Patch to fixed md5 deprecation warning in photon. Closes: #604901. Thanks
    to Kenyon Ralph for this and three other patches.
  * Patch to clean up redundant code with simple call to resize_image in
    photon and raise exception errors in photon and PxM.py. Closes: #585268.
  * Patch to eliminate the popen2 module deprecation warning. Closes: #604904.
  * Patch to fix grammar in common_footer.html. Closes: #604892.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Kevin Coyner <kcoyner@debian.org>  Thu, 25 Nov 2010 11:25:45 +0000

photon (0.4.6-1.1) unstable; urgency=low

  * NMU. Rebuild to move files to /usr/share/pyshared. Closes: #490481.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 15:51:14 +0000

photon (0.4.6-1) unstable; urgency=low

  * New upstream release.
  * Moved Homepage reference out of the extended description.
  * Bumped Standards-Version to 3.7.3. No changes.
  * Fix spelling error in debian/control extended description.
  * Original images are copied over into an original folder, even it they are
    not jpg's. (Closes: #417050)
  * Incompatibility with Gimp in unstable. Recent Gimp versions do not have
    this problem. (Closes: #440277)
  * Added photon.override.lintian file, associated install command in
    debian/rules, and an override directory in debian/dirs to override warning
    about an empty usr/lib file in the package.

 -- Kevin Coyner <kcoyner@debian.org>  Sun, 24 Feb 2008 14:18:55 -0500

photon (0.4.4-2) unstable; urgency=low

  * New e-mail address for maintainer. Changed throughout debian/* files.
  * debian/rules: Changed invocation of Make clean rule.

 -- Kevin Coyner <kcoyner@debian.org>  Tue, 14 Aug 2007 14:51:45 -0400

photon (0.4.4-1) unstable; urgency=low

  * Initial release (Closes: #400929)
  * Created man page.
  * Repackaged upstream tarball without debian directory from upstream.

 -- Kevin Coyner <kevin@rustybear.com>  Sat,  9 Dec 2006 15:02:23 -0500

=== debian/control ===
Source: photon
Section: graphics
Priority: optional
Maintainer: Kevin Coyner <kcoyner@debian.org>
Build-Depends: debhelper (>= 8), python-all (>= 2.6.6-3~), quilt (>= 0.48)
Standards-Version: 3.9.1
Homepage: http://www.saillard.org/programs_and_patches/photon/

Package: photon
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-imaging
Recommends: gimp, dcraw
Description: a static HTML gallery generator
 A Python based photo album generator with a clean design that is run from the
 command line. HTML output can be configured via templates.
 .
 Features:
   * generates static HTML pages
   * slideshow (use of javascript is optional)
   * can use gimp to resize picture
   * keyboard navigation between images
   * works in any browser (Mozilla, Netscape Navigator 4.x, Konqueror, Opera)
   * each image can have a comment (with HTML tags)
   * image information (if taken from a digital picture) can be displayed
   * thumbnail image size can be selected by the user
   * output images can be scaled down
   * control over the number of thumbnails in a page

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with quilt

PYDEF   := $(shell pyversions -d)

build:
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	-find ./Photon/ -name "*.py" | xargs sed -i -e '1 s/^#\!.*python.*//'
	python setup.py install --no-compile --prefix=$(CURDIR)/debian/photon/usr --install-layout=deb
	install -m 644 debian/photon.override.lintian $(CURDIR)/debian/photon/usr/share/lintian/overrides/photon

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman debian/photon.1
	dh_link
	dh_compress
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.saillard.org/programs_and_patches/photon/files/Photon-(.*)\.tar\.gz

## photon 0.7.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: photon
 Type: Package
 Title: High-Performance Geocoding using 'photon'
-Version: 0.3.5
+Version: 0.7.4
 Authors@R: 
     person("Jonas", "Lieth", , "jonas.lieth@gesis.org", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0002-3451-3176"))
@@ -19,8 +19,9 @@
 Config/testthat/edition: 3
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2025-02-23 11:57:49 UTC; PC
-Author: Jonas Lieth [aut, cre, cph] (<https://orcid.org/0000-0002-3451-3176>)
+Packaged: 2025-10-29 12:39:18 UTC; PC
+Author: Jonas Lieth [aut, cre, cph] (ORCID:
+    <https://orcid.org/0000-0002-3451-3176>)
 Maintainer: Jonas Lieth <jonas.lieth@gesis.org>
 Repository: CRAN
-Date/Publication: 2025-02-24 13:00:02 UTC
+Date/Publication: 2025-10-29 13:00:08 UTC

## photon 0.7.4-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: photon
 Type: Package
 Title: High-Performance Geocoding using 'photon'
-Version: 0.7.4
+Version: 0.7.4-1
 Authors@R: 
-    person("Jonas", "Lieth", , "jonas.lieth@gesis.org", role = c("aut", "cre", "cph"),
+    person("Jonas", "Lieth", , "jslth@outlook.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0002-3451-3176"))
 Description: Features unstructured, structured and reverse geocoding using the
     'photon' geocoding API <https://photon.komoot.io/>.
@@ -19,9 +19,9 @@
 Config/testthat/edition: 3
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2025-10-29 12:39:18 UTC; PC
+Packaged: 2026-01-14 11:29:45 UTC; PC
 Author: Jonas Lieth [aut, cre, cph] (ORCID:
     <https://orcid.org/0000-0002-3451-3176>)
-Maintainer: Jonas Lieth <jonas.lieth@gesis.org>
+Maintainer: Jonas Lieth <jslth@outlook.com>
 Repository: CRAN
-Date/Publication: 2025-10-29 13:00:08 UTC
+Date/Publication: 2026-01-17 09:10:08 UTC

## photon 1.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: photon
 Type: Package
 Title: High-Performance Geocoding using 'photon'
-Version: 0.7.4-1
+Version: 1.0.0
 Authors@R: 
     person("Jonas", "Lieth", , "jslth@outlook.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0002-3451-3176"))
@@ -13,15 +13,15 @@
 URL: https://github.com/jslth/photon/, https://jslth.github.io/photon/
 BugReports: https://github.com/jslth/photon/issues
 Encoding: UTF-8
-RoxygenNote: 7.3.2
-Imports: utils, cli, countrycode, httr2, R6, sf, processx
+RoxygenNote: 7.3.3
+Imports: utils, cli, countrycode, httr2, R6, sf, processx, rvest
 Suggests: testthat (>= 3.0.0), tibble, knitr, rmarkdown, webfakes, ps
 Config/testthat/edition: 3
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2026-01-14 11:29:45 UTC; PC
+Packaged: 2026-02-28 23:55:44 UTC; PC
 Author: Jonas Lieth [aut, cre, cph] (ORCID:
     <https://orcid.org/0000-0002-3451-3176>)
 Maintainer: Jonas Lieth <jslth@outlook.com>
 Repository: CRAN
-Date/Publication: 2026-01-17 09:10:08 UTC
+Date/Publication: 2026-03-01 00:50:03 UTC

## photon 1.3.0

=== debian/changelog ===
photon (1.3.0-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Ben Wilson ]
  * Add executable to helper-script
  * New helper-script format
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * Add a patch for python 3.12
  * Bump Standards-Version to 4.7.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 14 Aug 2024 15:16:06 +0200

photon (1.3.0-0kali1) kali-dev; urgency=medium

  [ Joseph O'Gorman]
  * Initial release

  [ Sophie Brun ]
  * Add missing Vcs-* fields
  * Fix Architecture: all
  * Add the missing "$@" to pass the arguments/options to photon.py
  * Add a patch to remove the update option

  [ Raphaël Hertzog ]
  * Improve long description
  * Drop extraneous whitespaces
  * Avoid changing the current directory in the helper script
  * Add superficial autopkgtest

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 24 Jan 2020 17:52:57 +0100

=== debian/control ===
Source: photon
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Joseph O'Gorman <gamb1t@kali.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.7.0
Homepage: https://github.com/s0md3v/Photon
Vcs-Browser: https://gitlab.com/kalilinux/packages/photon
Vcs-Git: https://gitlab.com/kalilinux/packages/photon.git

Package: photon
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-requests,
         python3-socks,
         python3-urllib3,
         python3-tld
Description: Incredibly fast crawler designed for open source intelligence
 This package includes a fast and flexible crawler designed for open source
 intelligence (OSINT).
 .
 Photon can extract the following data while crawling:
  - URLs (in-scope & out-of-scope)
  - URLs with parameters (example.com/gallery.php?id=2)
  - Intel (emails, social media accounts, amazon buckets etc.)
  - Files (pdf, png, xml etc.)
  - Secret keys (auth/API keys & hashes)
  - JavaScript files & Endpoints present in them
  - Strings matching custom regex pattern
  - Subdomains & DNS related data
 .
 The extracted information is saved in an organized manner or can be exported
 as json.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1
export PYBUILD_NAME=photon

%:
	dh $@ --with python3

=== debian/tests/control ===
Test-Command: photon --help
Depends: @
Restrictions: superficial

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/photon-$1\.tar\.gz/ \
  https://github.com/s0md3v/Photon/tags .*/v?(\d\S*)\.tar\.gz

## photon core-0.1b0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Photon.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Photon.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Photon"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Photon"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
